# Uses of Interface
org.apache.datasketches.memory.MemoryRequestServer

## Uses of MemoryRequestServer in org.apache.datasketches.memory

Classes in org.apache.datasketches.memory that implement MemoryRequestServer
Modifier and Type
Class
Description
`final class`
`DefaultMemoryRequestServer`
This example MemoryRequestServer is simple but demonstrates one of many ways to manage continuous requests for larger or smaller memory.
Fields in org.apache.datasketches.memory declared as MemoryRequestServer
Modifier and Type
Field
Description
`static final MemoryRequestServer`
Resource.`defaultMemReqSvr`
The default MemoryRequestServer used primarily by test.
Methods in org.apache.datasketches.memory that return MemoryRequestServer
Modifier and Type
Method
Description
`MemoryRequestServer`
Resource.`getMemoryRequestServer()`
Gets the `MemoryRequestServer` to request additional memory for writable resources that are not file-memory-mapped.
Methods in org.apache.datasketches.memory with parameters of type MemoryRequestServer
Modifier and Type
Method
Description
`static WritableMemory`
WritableMemory.`allocate(int capacityBytes, ByteOrder byteOrder, MemoryRequestServer memReqSvr)`
Creates on-heap WritableMemory with the given capacity and the given byte order.
`static WritableMemory`
WritableMemory.`allocateDirect(long capacityBytes, long alignmentBytes, ByteOrder byteOrder, MemoryRequestServer memReqSvr, ArenaPREVIEW arena)`
Allocates and provides access to capacityBytes directly in native (off-heap) memory.
`static WritableMemory`
WritableMemory.`allocateDirect(long capacityBytes, MemoryRequestServer memReqSvr, ArenaPREVIEW arena)`
Allocates and provides access to capacityBytes directly in native (off-heap) memory.
`void`
Resource.`setMemoryRequestServer(MemoryRequestServer memReqSvr)`
Sets the MemoryRequestServer to be used in case of capacity overflow of on-heap or off-heap allocated Memory.
`static WritableBuffer`
WritableBuffer.`writableWrap(ByteBuffer byteBuffer, ByteOrder byteOrder, MemoryRequestServer memReqSvr)`
Provides a view of the given ByteBuffer for write operations.
`static WritableMemory`
WritableMemory.`writableWrap(byte[] array, int offsetBytes, int lengthBytes, ByteOrder byteOrder, MemoryRequestServer memReqSvr)`
Wraps the given primitive array for write operations with the given byte order.
`static WritableMemory`
WritableMemory.`writableWrap(ByteBuffer byteBuffer, ByteOrder byteOrder, MemoryRequestServer memReqSvr)`
Provides a view of the given ByteBuffer for write operations.